﻿@model IEnumerable<ALK.Models.Comment>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.PostId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CommentText)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AspNetUser.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AspNetUser1.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.UserId)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.PostId)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.CommentText)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AspNetUser.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AspNetUser1.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Product.UserId)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
